---
title: Case action payloads
url: https://www.tines.com/stories/docs/api/cases/case-action-payloads/
updated: 2026-11-06T12:12:35+00:00
description: When a user triggers a [case action](/api/cases/actions/create) with an `action_type` of `webhook`, Tines sends an HTTP `POST` request to the action URL. For automatic case event notifications, see [Case notification payloads](/api/cases/case-notification-payloads).
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/stories/docs/llms.txt) › [Tines API](https://www.tines.com/stories/docs/api/llms.txt) › [Cases](https://www.tines.com/llm/stories/docs/api/cases.md)*

# Case action payloads

*[View on tines.com](https://www.tines.com/stories/docs/api/cases/case-action-payloads/)*

When a user triggers a [case action](/api/cases/actions/create) with an `action_type` of `webhook`, Tines sends an HTTP `POST` request to the action URL. For automatic case event notifications, see [Case notification payloads](/api/cases/case-notification-payloads).

The examples on this page are abridged. Actual requests include the full current `case` object. Optional values can be `null`, and collections can be empty.

Case action webhooks use one shape:

```json
{
  "user": {
    "id": 27,
    "first_name": "Alex",
    "last_name": "Smith",
    "email": "alex.smith@example.com"
  },
  "button": {
    "id": 1,
    "label": "Escalate case",
    "type": "webhook",
    "url": "https://tenant.tines.com/webhook/escalate/secret"
  },
  "case": {
    "id": 42,
    "name": "Suspicious sign-in",
    "status": "open",
    "url": "https://tenant.tines.com/cases/42"
  },
  "message": "Triggered by Escalate case in case 42"
}
```

Configured query parameters do not create a different payload shape. Tines appends them to the request URL and adds them as top-level fields in the same JSON body:

```json
{
  "destination": "tier-two",
  "notify": true
}
```

The keys `case_id`, `user`, `button`, `case`, and `message` are reserved and cannot be overwritten. The full `case` object includes the description, sub-status, severity, priority, tags, team, comments, author, assignees, case timestamps, metadata, other case actions, tasks, record IDs, fields, and blocks.
